For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet Reports
      • GETGet report
      • GETGet report download URL
      • GETGet invoice lines report
      • GETGet invoice tax report
      • GETGet invoice header report
      • POSTSearch reports
      • GETGet ReportGenerateRequests
      • POSTCreate a ReportGenerateRequest
      • POSTSearch ReportGenerateRequests
      • GETGet ReportGenerateRequest
      • GETGet Report
  • Event API
LoginSandbox
Transaction APIReports

Get Reports

GET
/v:version/reports
GET
/v:version/reports
$curl https://api.solvimon.com/v1/reports \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "customer_id": "string",
7 "invoice_id": "string",
8 "expire_at": "string",
9 "report_code": "INVOICE",
10 "file_name": "string",
11 "file_location": "string",
12 "created_at": "string",
13 "data_extracted_at": "string",
14 "file_size": 1,
15 "downloaded_at": "string",
16 "parameter_values": [
17 {
18 "name": "report_date",
19 "value": "string"
20 }
21 ],
22 "report_generate_request_id": "string",
23 "run_type": "string"
24 }
25 ],
26 "links": {
27 "first": "string",
28 "previous": "string",
29 "current": "string",
30 "next": "string"
31 },
32 "limit": 1,
33 "page": 1,
34 "total_number_of_pages": 1
35}
Requires the REPORT.VIEW permission.
Was this page helpful?
Previous

Get report

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional
The parameter by which the response is ordered.
order_directionstringOptional
The order direction by which the response is ordered.

Response

OK
datalist of objects
linksobject
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error